Subject: Re: AlacrityVM benchmark numbers updated

From: Avi Kivity <[email-masked]>
Date: Wed, 26 Aug 2009 22:23:12 +0300

On 08/26/2009 09:42 PM, Gregory Haskins wrote:
> Actually, I have already look at this and it does indeed seem better to
> use switch_mm+gupf() over gup() by quite a large margin.  You could then
> couple that with your DMA-engine idea to potentially gain even more
> benefits (though probably not for networking since most NICs have their
> own DMA engine anyway).
>
>    

For tx, we'll just go copyless once we plumb the destructors properly.  
But for rx on a shared interface it is impossible to avoid the copy.  
You can only choose if you want it done by the cpu or a local dma engine.

-- 
I have a truly marvellous patch that fixes the bug which this
signature is too narrow to contain.